.calculation {
    color: $white;
    padding-top: rem(78);
    padding-bottom: rem(80);
    background: url("../img/calculation__bg.webp") 50% 50% no-repeat;
    background-size: cover;

    &__header {
        text-align: center;
        margin-bottom: rem(15);
    }

    &__subtitle {
        font-weight: 300;
        text-align: center;
        font-size: rem(22);
        line-height: rem(33);
        margin-bottom: rem(30);
    }

    &__group {
        margin-bottom: rem(10);
    }

    .form-label {
        text-align: center;
    }

    &__button {
        padding-top: rem(4);

        .btn {
            width: 100%;
        }
    }

    &__text {
        text-align: center;
        padding-top: rem(25);
    }

    &__range {
        margin-bottom: rem(28);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(88);
        padding-bottom: rem(80);

        &__header {
            max-width: rem(660);
            font-size: rem(38);
            line-height: rem(42);
            margin: 0 auto rem(18) auto;
        }

        &__subtitle {
            max-width: rem(660);
            margin: 0 auto rem(48) auto;
        }

        &__form {
            width: rem(520);
            margin: 0 auto;
        }

        &__group {
            margin-bottom: rem(16);
        }

        &__button {
            text-align: center;

            .btn {
                width: auto;
                min-width: rem(320);
            }
        }

        .form-label {
            text-align: left;
            padding-left: rem(40);
            margin-bottom: rem(12);
        }

        .pretty-checkbox {
            margin-left: rem(40);
        }
    }
}

.range {

    &__header {
        margin-bottom: rem(18);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__label {
        white-space: nowrap;
        font-weight: 300;
        font-size: rem(16);
        line-height: rem(24);
    }

    &__field {
        padding: rem(2);
        border: 1px dashed transparent;
        display: flex;
        align-items: center;
        position: relative;
        $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

        #{$input-selector} {
            padding: 0;
            width: 100%;
            color: $white;
            border: none;
            outline: none;
            display: block;
            text-align: right;
            font-weight: 400;
            font-size: rem(18);
            line-height: rem(32);
            height: rem(32);
            background: transparent;

            &:focus {
                color: $white !important;
            }
        }

        &:hover {
            color: $red;

            #{$input-selector} {
                color: $red;
            }
        }

        &--focus {
            color: $white !important;
            border-color: $white;
        }
    }

    &__input {
        width: rem(120);
    }

    &__currency {
        display: block;
        white-space: nowrap;
        padding-left: rem(8);
    }
}
